/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package it.unitn.disi.lingProg.longato;

import javafx.scene.Node;
import javafx.scene.control.Label;

/**
 * Un alloggio di tipo appartamento
 * @author matteo.longato
 */
public class Appartamento extends Alloggio{
    int bedNumber;

    public Appartamento(String name, int price, double grade, int bedNumber) {
        super(name, price, grade);
        this.bedNumber = bedNumber;
    }

    @Override
    public Node getAdditionalInfo() {
        return new Label("max. Persone: " + ((Integer)bedNumber).toString());
    }
}
